﻿class slideshowsinglemultipleselect.SingleMultiSelectOption extends MovieClip {
	private var sObj:Object;
	private var labelTxt:TextField;
	private var rightmarkMC:MovieClip;
	private var isSelected:Boolean;
	private var selectionMC:MovieClip;
	
	function SingleMultiSelectOption() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		rightmarkMC._visible = false;
		isSelected = false;
		sObj.index = Number(sObj.id);
		selectionMC._visible = false;
		
		labelTxt.autoSize = "left";
		labelTxt.htmlText = sObj._value;
		
		this.onRelease = function () {
			_parent.handleOptionSelection(sObj.index, isSelected);
		}
		
		_parent.handleCallBack(sObj.index);
	}
	
	public function getIndex():Number {
		return sObj.index;
	}
	
	public function getSelection() :Boolean {
		return isSelected;
	}
	public function setSelection(flag:Boolean) {
		isSelected = flag;
		selectionMC._visible = flag;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		this._alpha = flag ? 100 : 60; 
	}
	
	public function showCorrectAnswer() {
		rightmarkMC._visible = true;
	}
}