﻿var lastvisit = 0;
var exitCalled = false;
var score  = 0;
var curStatus = "";
var trackingEnabled = true;
var counter = 0;
var lessonCounter = 0;
var module = lesson0;

function getModule() {
	return moduleArray[lessonCounter];
}
function setModule(num) {
	module = moduleArray[num];
}


function preInitialize() {
	if(trackingEnabled) {	
	
	   loadPage();
	   setPage();	   
	}
	else {
	   frames['navFrame'].updateNavigationControls();
	}
}

function setPage(){
	
	lastvisit = getBookmark() + "";
	
	if(lastvisit != undefined && lastvisit != "" && lastvisit != null) {
		var arr = new Array();
		arr = lastvisit.split("#");
		lessonCounter = Number(arr[0]);
	    counter = Number(arr[1]);
		
	}
	else {
	   counter = 0;
	   lessonCounter = 0;
	}
	
	frames['navFrame'].updateNavigationControls();
}



/*Status Computation Logic:
	If status on launch of SCO is 'passed', don't change status on exit.
	If the SCO contains assessment (assessmentAvailable == true), then valid statuses on exit are either 'passed' or 'incomplete'.
	If the SCO does not contain assessment (assessmentAvailable == false), then valid status on exit is 'incomplete'.
	For SCO with assessment, we are not using 'completed' status because Gen21 would mark the course as completed and the user has to re-enroll to take the test.
*/

function setLastVisited(str, flag) {
	
	lastVisitedToLMS = str;
	statusToLMS = flag ? "completed" : "incomplete";
}

function exit() {
	if(!trackingEnabled) {
		window.top.close();
		return;
	}
	if(!exitCalled) {
		setBookmark(lastVisitedToLMS);
		doQuit();
		exitCalled = true;
	}
}

function updateScore() {
	if(!trackingEnabled) {
		return;
	}
	setScore(score);
	if(curStatus == "passed") {
		doQuit("passed");
		exitCalled = true;		
	}
}