﻿class com.trina.assessments.clicknmatch.DragItem extends com.trina.utils.AniMovieClip {
	private var labelTxt:TextField;
	private var sObj:Object;
	private var isAnimating:Boolean = false;
	private var outlineMC:MovieClip;
	
	function DragItem() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		outlineMC._visible = false;
		labelTxt.autoSize = "left";
		
		var str1 = '<P Align="' + sObj.align + '">';
		var str2 = '</P>';
		labelTxt.htmlText = str1 + sObj.label + str2;
		
		this.onPress = function(){
			if (!isAnimating) {
				_parent.onClickDrag(this);
			}
		}
		this.onRollOver = function () {
			showRollOver();
		}
		this.onRollOut = this.onReleaseOutside = function () {
			showRollOut()
		}
		
		_parent.handleCallBack(sObj.index);
	}
	
	public function showRollOver() {
		outlineMC._visible = true;
	}
	
	public function showRollOut() {
		outlineMC._visible = false;
	}
	public function getCorrectTarget(){
		return sObj.targetIndex;
	}
	
	public function getIndex() {
		return sObj.index;
	}
	
	public function setIndex(num) {
		sObj.index = num;
	}
	
	public function getId() {
		return sObj.id;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		//this._alpha = flag ? 100 : 60; 
	}
	
	public function setPosition(){
		sObj.xPos = this._x;
		sObj.yPos = this._y;
	}
	
	public function setPlacedOnIndex(clipIndex:Number){
		sObj.placedOn = clipIndex;
	}
	public function getPlacedOnIndex(){
		return sObj.placedOn;
	}
	
	public function animateToOriginalPos() {
		var obj:Object = new Object();
		obj.xBegin = this._x;
		obj.xEnd = sObj.xPos;
		obj.yBegin = this._y;
		obj.yEnd = sObj.yPos;
		obj.duration = 1;
		isAnimating = true;
		this.animate(obj);
	
	}
	
	public function handleAnimationCallBack() {
		isAnimating = false;
	}
	
	
	
}