﻿class com.trina.assessments.clicknmatch.TargetItem extends com.trina.utils.AniMovieClip {
	private var labelTxt:TextField;
	private var sObj:Object;
	private var isAnimating:Boolean = false;
	
	function TargetItem() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		labelTxt.autoSize = "left";
		labelTxt.htmlText = sObj.label;
		this.onPress = function(){
			if (!isAnimating) {
				_parent.onClickTarget(this);
			}
		}
		_parent.handleCallBack(sObj.index);
	}
	public function getIndex() {
		return sObj.index;
	}
	
	public function getId() {
		return sObj.id;
	}
	
	public function setIndex(num) {
		sObj.index = num;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		//this._alpha = flag ? 100 : 60; 
	}
	
	public function animateToY(x, y, flag) {
		var obj:Object = new Object();
		obj.xBegin = this._x;
		obj.xEnd = flag ? this._x - 50 : this._x;
		obj.yBegin = this._y;
		obj.yEnd = y;
		obj.duration = .1;
		isAnimating = true;
		this.animate(obj);
		if (flag) {
			changeState(false);
		}
	
	}
	
	public function handleAnimationCallBack() {
		isAnimating = false;
	}
	
	
	
}