﻿class com.trina.assessments.singlemultiselect.SingleMultiSelectOption extends MovieClip {
	private var sObj:Object;
	private var labelTxt:TextField;
	private var idTxt:TextField;
	private var selectionMC:MovieClip;
	private var isSelected:Boolean;
	private var overmc:MovieClip;
	
	function SingleMultiSelectOption() {
		this.onLoad = function() {
			init();
		}
	}
	
	private function init() {
		isSelected = false;
		sObj.index = Number(sObj.id);
		selectionMC._visible = false;
		overmc._visible = false;
		idTxt.text = sObj.qId;
		labelTxt.autoSize = "left";
		labelTxt.htmlText = sObj._value;
		
		this.onRollOver = function () {
			showState(true);
		}
		this.onRollOut = this.onReleaseOutside = function () {
			showState(false);
		}
		
		this.onRelease = function () {
			showState(false);
			_parent.handleOptionSelection(sObj.index, isSelected);
		}
		
		selectionMC._height = labelTxt.textHeight + 4;
		overmc._height = labelTxt.textHeight + 4;
		_parent.handleCallBack(sObj.index);
	}
	
	public function showState(flag:Boolean) {
		overmc._visible = flag;
	}
	
	public function getIndex():Number {
		return sObj.index;
	}
	
	public function setSelection(flag:Boolean) {
		isSelected = flag;
		selectionMC._visible = flag;
	}
	
	public function getSelection():Boolean {
		return isSelected;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		this._alpha = flag ? 100 : 60; 
	}
	
	
}