﻿import com.trina.utils.ImageHolder;

class com.trina.assessments.singleselectimage.SingleSelectImageOption extends MovieClip {
	private var sObj:Object;
	private var labelTxt:TextField;
	private var imageHolder:ImageHolder;
	private var selectionMC:MovieClip;
	private var isSelected:Boolean;
	
	function SingleSelectImageOption() {
		this.onLoad = function() {
			init();
		}
	}
	
	private function init() {
		selectionMC._visible = false;
		
		//labelTxt.autoSize = "left";
		//labelTxt.htmlText = sObj.label;
		var file = sObj.image;
		imageHolder.loadImage(file);
		
		this.onRelease = function () {
			_parent.handleOptionSelection(sObj.index);
		}
		
		_parent.handleCallBack(sObj.index);
	}
	
	public function setSelection(flag:Boolean) {
		isSelected = flag;
		selectionMC._visible = flag;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		this._alpha = flag ? 100 : 60; 
	}
	
	
}