﻿import mx.core.UIComponent;

class com.trina.components.ContextHelp extends UIComponent{
	static var symbolName:String = "ContextHelp";
	static var symbolOwner:Object = com.trina.components.ContextHelp;
	
	private var __currentPage:MovieClip;
	private var __currentID:String;
	private var __currentPageType:String;
	private var helpscroll:MovieClip;
	
	function init(){
		helpscroll = this["helpscroll"];
		setInteractions();
	}
	
	function setInteractions():Void{
		/*this.onKeyDown = function(){
			if(Key.getCode() == Key.SPACE && this._visible){
				__currentPage._visible = true;
				__currentPage.mediaLoader.play();
				_global.currentClip = __currentPage;
				_global.currentID = __currentID;
				_global.currentPageType = __currentPageType;
				this._visible = false;
				_root.controlsClip.showAll();
			}
		};
		Key.addListener(this);					*/
	}
	
	public function showHelp():Void{
		_root.controlsClip.showHelpOnly();
		_global.currentClip.mediaLoader.stop();
		playAnimForward();
	}
	
	public function hideHelp():Void{
		playAnimReverse();
	}
	
	private function playAnimReverse(){
		var cFrame:Number = helpscroll._currentframe;
		__currentPage._visible = true;
		this.onEnterFrame = function(){
			helpscroll.gotoAndStop(cFrame);
			if(cFrame != 0){
				cFrame--;
			}else if(cFrame == 0){
				__currentPage.mediaLoader.play();
				_global.currentClip = __currentPage;
				_global.currentID = __currentID;
				_global.currentPageType = __currentPageType;
				this._visible = false;
				_root.controlsClip.showAll();
				
				delete this.onEnterFrame;
			}
		}
	}
	
	private function playAnimForward(){
		var cFrame:Number = 0;
		var tFrames:Number = helpscroll._totalframes;
		this.onEnterFrame = function(){
			helpscroll.gotoAndStop(cFrame);
			cFrame++;
			if(cFrame == tFrames+1){
				__currentPage._visible = false;
				delete this.onEnterFrame;
			}
		}
	}		
	
	
	//getter setter
	[Inspectable(name="currentPage", type="MovieClip")]
	function set currentPage(pRef:MovieClip):Void{
		__currentPage =  pRef;
	}
	
	function get currentPage():MovieClip{
		return __currentPage;
	}
	
	[Inspectable(name="currentID", type="String")]
	function set currentID(pRef:String):Void{
		__currentID =  pRef;
	}
	
	function get currentID():String{
		return __currentID;
	}
	
	[Inspectable(name="currentPageType", type="String")]
	function set currentPageType(pRef:String):Void{
		__currentPageType =  pRef;
	}
	
	function get currentPageType():String{
		return __currentPageType;
	}
}