﻿//Loader

class com.trina.components.Loader extends MovieClip {
	private var loadObj:Object;
	private var mId:Number;
	private var labelTxt:TextField;
	
	function Loader() {
		this.onLoad = function () {
			init();
		}
	}
	
	public function init() {
		mId = setInterval(this, "checkPerc", 200);
	}
	
	public function checkPerc() {
		var perc1 = Math.round((loadObj.container.getBytesLoaded() / loadObj.container.getBytesTotal()) * 100);
		var perc2 = Math.round((loadObj.mySound.getBytesLoaded() / loadObj.mySound.getBytesTotal()) * 100);
		var perc3 = Math.round((loadObj.inContainer.getBytesLoaded() / loadObj.inContainer.getBytesTotal()) * 100);
		if (perc1 == NaN || perc1 == undefined) {
			perc1 = 100;
		}
		if (perc2 == NaN || perc2 == undefined) {
			perc2 = 100;
		}
		if (perc3 == NaN || perc3 == undefined) {
			perc3 = 100;
		}

		if (perc1 >= perc2 and perc3 >= perc2) {
			labelTxt.text = perc2 + "%";
		} else if (perc1 >= perc3 && perc2 >= perc3) {
			labelTxt.text = perc3 + "%%";			
		} else {
			labelTxt.text = perc1 + "%%%";
		}
		if (perc1 >= 100 && perc2 >= 100 && perc3 >= 100) {
			clearInterval(mId);
			this.removeMovieClip();
		}
	}
}