﻿import mx.controls.UIScrollBar;

class com.trina.components.TemplateGeneric extends MovieClip {
	private var pageObj:Object;
	private var headingTxt:TextField;
	private var contentTxt:TextField;
	private var myScroll:UIScrollBar;
	private var container:MovieClip;
	private var strStart:String;
	private var strEnd:String;
	
	function TemplateGeneric() {
		this.onLoad = function () {
			init();
		}
	}
	
	public function getPath():String {
		var pagePath:String = "content/aggregate" + _global.navObject.aggregate + "/variant" + _global.navObject.variant + "/task" + _global.navObject.task + "/media/sco" + _global.navObject.page +"/";
		return pagePath;
	}
	
	private function init() {
		strStart = "<B>";
		strEnd = "</B>";
		myScroll._visible = false;
		pageObj = _parent._parent.getPageObject();
		headingTxt.htmlText = pageObj.Pagetitle._value == undefined ? "" : (strStart + pageObj.Pagetitle._value + strEnd);
		contentTxt.htmlText = pageObj.text._value == undefined ? "" : (strStart + pageObj.text._value + strEnd);
		myScroll._visible = contentTxt.scroll > 1;
		var transcript = pageObj.transcriptText._value;
		loadClip(getPath() + pageObj.graphic.src);
	}
	
	public function loadClip(fl:String) {
		container.unloadClip();
		var mcListener:Object = new Object();
		mcListener.onLoadStart = function(target_mc:MovieClip) {
		    // show loader here
		};
		mcListener.onLoadComplete = function(target_mc:MovieClip) {
		    //target_mc.completeTimer = getTimer();
		};
		mcListener.onLoadInit = function(target_mc:MovieClip) {
			// hide loader here
			target_mc.stop();
			target_mc._parent.startMedia();
			//target_mc._parent.endTransition();
		    
		};
		var mcLoader:MovieClipLoader = new MovieClipLoader();
		mcLoader.addListener(mcListener);
		mcLoader.loadClip(fl, container);
		
	}
	
	public function startMedia() {
		_parent._parent.insideContentLoaded();
	}
	
	public function jumpForward (flag:Boolean) {
		_parent._parent.jumpForward(flag);
	}
}