﻿class com.trina.help.PageIndicator extends MovieClip {
	private var pObj:Object;
	private var labelTxt:TextField;
	private var tmc:MovieClip;
	
	
	function PageIndicator() {
		this.onLoad = function () {
			init();
		}
	}
	
	public function init() {
		labelTxt.text = pObj.pageIndex;
		this.onRollOver = function () {
			showTooltip();
		}
		this.onRollOut = this.onReleaseOutside = function () {
			hideTooltip();
		}
		
		this.onRelease = function () {
			hideTooltip();
			_parent.handlePageSelection(pObj.id, pObj.pageNumber);
		}
	}
	
	
	
	public function createEvent(flag:Boolean) {
		if (flag) {
			this.enabled = true;
		} else {
			this.enabled = false;
		}
	}
	
	public function showTooltip() {
		var obj:Object = new Object();
		obj.label = pObj.title._value;
		tmc = this.attachMovie("helptooltip", "tmc", this.getNextHighestDepth(), {tObj:obj});
		tmc._y = 25;
	}
	
	public function hideTooltip() {
		tmc.removeMovieClip();
	}
	
	public function setActive(flag) {
		hideTooltip();
		if (flag) {
			gotoAndStop("normal");
			createEvent(true);
		} else {
			gotoAndStop("selected");
			createEvent(false);
		}
	}
}