﻿// XMLParser.as
/******************************************************************************
* Developer:   Amit Mazumder (email: amitm@trina.biz); Trina Systems ,India 
* Description: This is a singleton class to load and parse the xml data.
*              It will store the xml data into objects and will call the callback function
* Date:	12th January, 2006
******************************************************************************/

import com.trina.utils.XML2Obj;
class com.trina.parser.XMLParser {
	private static var instance:XMLParser;
	private var configXML:XML;
	
	public static function initializeSingleton():Void {
		if (instance == null) {
			instance = new XMLParser();
		}
	}
	
	public static function getInstance():XMLParser {
		return instance;
	}
	
	function XMLParser() {
		
		//readConfiguration();
		
	}
	
	private function loadXMLFile(fileName:String, handler:String, p:Object) {
		_root.cfgParserPath = new Object();
		var myxml:XML = new XML();
		myxml.ignoreWhite = true;
		_root.cfgParserPath.onLoadHandler = handler;
		_root.cfgParserPath.path = p;
		myxml.load(fileName);
		myxml.onLoad = function (success) {
			if (success) {
				var xo:XML2Obj = new XML2Obj();
				var tObj = xo.getxObjFromXML(this.toString());
				_root.cfgParserPath.path[_root.cfgParserPath.onLoadHandler](tObj);	
				delete xo;
				delete tObj;
			} else {
				this.load(_root.cfgParserPath.fileName);
			}
		}
	}

	public function readXML(file:String, callBackFunction:String, p:Object):Void {
		loadXMLFile(file, callBackFunction, p);
	}
	
	
}