﻿import com.trina.utils.XML2Obj;
//includes
#include "../includes/DBinteractions.as"
#include "../includes/IntroInit.as"
#include "../includes/HomeInit.as"
#include "../includes/MainMenuInit.as"
#include "../includes/VariantInit.as"
#include "../includes/TaskListInit.as"
#include "../includes/SubTaskListInit.as"
#include "../includes/PageContentInit.as"
// make it true before uploading for tracking
_global.isPPSEnabled = true;
_global.isLMSVersion = false;
//Prototype declarations
XML.prototype.ignoreWhite = true;
compX = 18;
compY = 100;
_global.compDepth = 5;
//Global declarations
_global.appPath = this;
_global.currentUser = "none";
_global.courseObj = null;
_global.masterObj = null;
_global.currentID = "";
_global.currentPageType = "";
_global.currentClip = null;
_global.parentCallBackFn = null;
_global.pageSoundsCompleted = false;
_global.navObject = new Object();
_focusrect = false;
_global.helpIndexId = new Array();
_global.helpIndexId["homePageClip"] = 1;
_global.helpIndexId["mainMenuClip"] = 2;
_global.helpIndexId["variantListClip"] = 3;
_global.helpIndexId["taskListClip"] = 4;
_global.helpIndexId["subTaskListClip"] = 5;
_global.helpIndexId["contentClip"] = 6;
//Load the course Structure
function handleCourseStructureLoad(cObj:Object):Void {
	var i:Number = 0;
	var j:Number = 0;
	var k:Number = 0;
	_root.dtext += "course structure loaded"+newline;
	//process the object
	if (cObj.aggregate.length == undefined) {
		var tempObj = cObj.aggregate;
		cObj.aggregate = new Array();
		cObj.aggregate[0] = tempObj;
	}
	for (i=0; i<cObj.aggregate.length; i++) {
		if (cObj.aggregate[i].variant.length == undefined) {
			var tempObj = cObj.aggregate[i].variant;
			cObj.aggregate[i].variant = new Array();
			cObj.aggregate[i].variant[0] = tempObj;
		}
		for (j=0; j<cObj.aggregate[i].variant.length; j++) {
			if (cObj.aggregate[i].variant[j].task.length == undefined) {
				var tempObj = cObj.aggregate[i].variant[j].task;
				cObj.aggregate[i].variant[j].task = new Array();
				cObj.aggregate[i].variant[j].task[0] = tempObj;
			}
			for (k=0; k<cObj.aggregate[i].variant[j].task.length; k++) {
				if (cObj.aggregate[i].variant[j].task[k].subTask.length == undefined) {
					var tempObj = cObj.aggregate[i].variant[j].task[k].subTask;
					cObj.aggregate[i].variant[j].task[k].subTask = new Array();
					cObj.aggregate[i].variant[j].task[k].subTask[0] = tempObj;
				}
			}
		}
	}
	_global.courseObj = cObj;
	//_root.introClip.loadBG(cObj.introPage.bgImage._value);
	//_root.homePageClip.loadBG(cObj.homePage.bgImage._value);
	init();
}
//end of courseStructure loading
// help xml data loader
function handleHelpStructureLoad(mObj:Object):Void {
	_root.dtext += "help loaded"+newline;
	_global.helpObj = mObj;
	fetchContentStructure(handleCourseStructureLoad);
}
//master XML data handler
function handleMasterXMLLoad(mObj:Object):Void {
	_global.masterObj = mObj;
	fetchHelpStructure(handleHelpStructureLoad);
}
//Intro Event handling
function handleDBResult(userObj:Object) {
	if (userObj.flag == "SUCCESS") {
		_global.currentUser = userObj.value;
		introClip._visible = false;
		introClip.tabChildren = false;
		//Checking if first time user 
		var name = _global.accessKey+"_data";
		var so:SharedObject = SharedObject.getLocal(name);
		var varName = "helpVisited";
		if (so.data[varName]) {
			_global.helpVisited = true;
		}
		// if first time visitor i.e. _global.helpVisited = false    
		// then show help first else show homepage
		if (_global.helpVisited) {
			showHomePage();
		} else {
			showContextHelp(true);
		}
	} else {
		alert._visible = true;
		alert.title = "ÃÖÖ¾Ö¬ÖÖ®Ö";
		alert.message = "†Ö¯ÖÛúÖ ‹ŒÃÖêÃÖ Ûúß (‡´¯»ÖÖ‡Ô ®Ö´²Ö¸) ÝÖ»ÖŸÖ Æîü… Ûéú¯ÖµÖÖ ×±ú¸ü ÃÖê ÛúÖê×¿Ö¿Ö Ûú¸ëü…";
	}
}
//end of master XML loading
//Loading all components initially
// Chaning from intially loading every movieclip and placing on the state to
// have it in the library and attach only when required
// =========== Amit M ========= 09032006===================
function init() {
	myTxtbox.swapDepths(5000);
	_root.amit = "";
	_root.dtext += "in init == "+_global.isLMSVersion+newline;
	if (_global.isLMSVersion) {
		lmsId = setInterval(_root, "checkLMSVars", 500);
	} else {
		_root.lastVisited = "";
		//"a6_v4_t3_st1:a6_v4_t3_st2:a6_v4_t3_st3:a6_v4_t3_st4:a6_v4_t3_st5:a6_v4_t3_st6#a6_v4_t2_st2_3";
		createLMSVars();
		startApp();
	}
}
function checkLMSVars() {
	var url = "javascript:getVariables()";
	getURL(url);
	_root.dtext += "in checkLMSVars == "+_root.userName+newline;
	if (_root.userName != "" && _root.userName != undefined) {
		clearInterval(lmsId);
		createLMSVars();
		startApp();
	}
}
function createLMSVars() {
	//a6_v4_t2_st2:a6_v4_t2_st3#a6_v4_t2_st3_4;
	if (_root.lastVisited == "") {
		_global.completedArray = new Array();
	} else {
		if (_root.lastVisited.indexOf("#") == -1) {
			_global.lastVisitedPage = _root.lastVisited;
			_global.completedArray = new Array();
		} else {
			var arr = _root.lastVisited.split("#");
			_global.completedArray = arr[0].split(":");
			_global.lastVisitedPage = arr[1];
		}
	}
	_root.aTxt += "lastVisited = "+_root.lastVisited+newline;
	_root.aTxt += "lastVisited == "+_global.lastVisitedPage+" :: "+_global.completedArray+newline;
}
function setLastVisited(s) {
	if (_global.isLMSVersion) {
		var str = getCompletedString()+"#"+s;
		_root.aTxt += "sending lvstr == "+s+newline;
		//getURL("javascript:setLastVisited('" + str + "')");
		var courseCompl = "incomplete";
		getURL("javascript:setVariables('"+s+"','"+courseCompl+"','"+0+"')");
	}
	//suspendData - send to LMS    
}
function getCompletedString() {
	var len = _global.completedArray.length;
	var nn = "";
	if (len>0) {
		for (var k = 0; k<len; k++) {
			if (k == len-1) {
				nn += _global.completedArray[k];
			} else {
				nn += _global.completedArray[k]+":";
			}
		}
	}
	return nn;
}
function startApp() {
	//loadIntroComp();
	if (_global.lastVisitedPage == undefined || _global.lastVisitedPage.length<=0) {
		showContextHelp(true);
	} else {
		showMainMenu();
		loadGlobalControls();
		loadAudioTranscript();
	}
}
//=============================================================================================
loadHelpComponent();
loadGlobalControls();
loadAudioTranscript();
loadAlertWin();
fetchHelpStructure(handleHelpStructureLoad);
// ==============================================================================================
function showContextHelp(flag):Void {
	_global.firstTimeHelp = flag;
	contentClip.mediaLoader.stopAll();
	contentClip.Navigator.setAllActive(false);
	controlsClip.hideAll();
	stopPageSound();
	help.showHelp();
	var num = Number(_global.helpIndexId[_global.currentClip._name]);
	clipArray[num-1].setupKeyBoardInteractions(false);
}
function closeHelp() {
	if (_global.firstTimeHelp) {
		showHomePage();
	}
	contentClip.mediaLoader.checkToStartWhenClose();
	contentClip.Navigator.setAllActive(true);
	controlsClip.showAllCondition();
	help._visible = false;
	if (_global.helpIndexId[_global.currentClip._name] != 6) {
		playPageSound(_global.currentPageSound);
	}
	var num = Number(_global.helpIndexId[_global.currentClip._name]);
	clipArray[num-1].setupKeyBoardInteractions(true);
}
function loadHelpComponent() {
	trace("from Index");
	help = this.attachMovie("helpComponent", "help", this.getNextHighestDepth(), {_x:compX, _y:compY});
	help._visible = false;
}
// =============================================================================================
function loadGlobalControls() {
	controlsClip = this.attachMovie("GlobalControls", "controlsClip", this.getNextHighestDepth(), {_x:792, _y:105});
	controlsClip.showHelpAndExit();
}
function loadAudioTranscript() {
	transcript = this.attachMovie("AudioTranscript", "transcript", this.getNextHighestDepth(), {_x:compX, _y:compY});
	transcript._visible = false;
}
function loadAlertWin() {
	alert = this.attachMovie("AlertWin", "alert", this.getNextHighestDepth());
	alert._visible = false;
}
clipArray = new Array(homePageClip, mainMenuClip, variantListClip, taskListClip, subTaskListClip, contentClip);
//ASSESSMENTS
function showAssessment() {
	var assessmentClip = this.createEmptyMovieClip("assessments", 255);
	controlsClip.showAll();
	_global.currentID = "";
	_global.currentPageType = "assessments";
	_global.currentClip = assessmentClip;
	_global.parentCallBackFn = _root.showHomePage;
	homePageClip._visible = false;
	assessmentClip._lockroot;
	assessmentClip._x = compX;
	assessmentClip._y = compY;
	assessmentClip.loadMovie("content/media/assessment.swf");
}
function setTabOptions(oldClip, newClip) {
	//old clip
	oldClip.tabEnabled = false;
	oldClip.tabChildren = false;
	oldClip._focusrect = false;
	//new clip	
	//fscommand("test", [oldClip, newClip])
	newClip.tabEnabled = false;
	newClip.tabChildren = true;
	newClip._focusrect = false;
}
//btn sounds
var elSound:Sound = new Sound();
function playSound(sPath:String):Void {
	elSound.loadSound(sPath, true);
	elSound.setVolume(50);
}
function stopSound():Void {
	elSound.stop();
}
//Page Sounds
var pgSound:Sound = new Sound();
function playPageSound(sPath:String):Void {
	_global.currentPageSound = sPath;
	_global.pageSoundsCompleted = false;
	pgSound.loadSound(sPath, true);
	pgSound.setVolume(50);
	pgSound.onSoundComplete = function() {
		_global.pageSoundsCompleted = true;
	};
}
function stopPageSound():Void {
	pgSound.stop();
}
_global.traceObj = function(obj, str) {
	trace("========= "+str+" ===========");
	for (var p in obj) {
		trace(p+" ==== "+obj[p]);
	}
	trace("========= end ===========");
};
