﻿class com.trina.assessments.Report extends MovieClip {
	private var rObj:Object;
	private var scoreTxt:TextField;
	private var totalTxt:TextField;
	private var descTxt:TextField;
	private var reviewBtn:Button;
	private var finishBtn:Button;
	
	function Report() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init():Void {
		var perc = Math.round((rObj.score / rObj.total) * 100);
		scoreTxt.autoSize = "left";
		scoreTxt.text = perc + "% (" + rObj.score + " Points)";
		
		totalTxt.autoSize = "left";
		var passTotal = Math.round((rObj.total * rObj.passPercentage) / 100);
		totalTxt.text = rObj.passPercentage + "% (" + passTotal + " Points)";
		
		if (perc >= rObj.passPercentage) {
			var str = "Congratulations! You have passed."
		} else {
			var str = "You did not pass";
		}
		
		descTxt.text = str;
		
		reviewBtn.onRelease = function(){
			_global.main.launchAssessmnt()
		}
		finishBtn.onRelease = function(){
			_parent.closeWindow();
			
		}
	}
	
	public function closeWindow() {
		getURL("javascript:exit()");
	}

}