﻿class com.trina.assessments.DragItem extends com.trina.utils.AniMovieClip {
	private var labelTxt:TextField;
	private var sObj:Object;
	private var isAnimating:Boolean = false;
	
	function DragItem() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		labelTxt.autoSize = "left";
		labelTxt.htmlText = sObj.label;
		this.onPress = function(){
			if (!isAnimating) {
				_parent.startDragging(this);
			}
		}
		this.onRelease = function () {
			_parent.checkTarget(this);
		}
		
		_parent.handleCallBack(sObj.index);
	}
	public function getCorrectTarget(){
		return sObj.targetIndex;
	}
	
	public function changeState(flag:Boolean) {
		this.enabled = flag;
		this._alpha = flag ? 100 : 60; 
	}
	
	public function setPosition(){
		sObj.xPos = this._x;
		sObj.yPos = this._y;
	}
	
	public function setPlacedOnIndex(clipIndex:Number){
		sObj.placedOn = clipIndex;
	}
	public function getPlacedOnIndex(){
		return sObj.placedOn;
	}
	
	public function animateToOriginalPos() {
		var obj:Object = new Object();
		obj.xBegin = this._x;
		obj.xEnd = sObj.xPos;
		obj.yBegin = this._y;
		obj.yEnd = sObj.yPos;
		obj.duration = 1;
		isAnimating = true;
		this.animate(obj);
	
	}
	
	public function handleAnimationCallBack() {
		isAnimating = false;
	}
	
	
	
}