﻿//
import mx.core.UIComponent;
class com.trina.components.IntroComp extends UIComponent{
	static var symbolName:String = "IntroComp";
	static var symbolOwner:Object = com.trina.components.IntroComp;
	
	private var accessKey;
	private var enterBtn:MovieClip;
	private var bgLoader:MovieClip;
	private var alertHolder:MovieClip;
	private var introText;
	private var messageText;

	function IntroComp(){
		introText = this["introText"];
		messageText = this["messageText"];
		accessKey = this["accessKey"];
		bgLoader = this["bgLoader"];
		enterBtn = this["enterBtn"];
		accessKey.password = true;
		setInteractions();

		this.onLoad = function(){
			accessKey.tabEnabled = true;
			accessKey.tabIndex = 1;		
			enterBtn.tabEnabled = true;
			enterBtn.tabIndex = 2;	
			accessKey.text = "";
			Selection.setFocus(accessKey);
			Selection.setSelection(0,1);
		}
	}
	
	private function setInteractions():Void{
		var refObj = this;
		
		this.onKeyDown = function(){
			if(Key.getCode() == Key.ENTER  && this._visible)
				enterBtn.gotoAndStop("rollOver");
		}
		
		this.onKeyUp = function(){
			if(Key.getCode() == Key.ENTER  && this._visible){
				enterBtn.gotoAndStop("normal");
				validateAndReturn();
			}
		};
		Key.addListener(this);	
		
		enterBtn.onRollOver = function(){
			this.gotoAndStop("rollOver");
		}
		
		enterBtn.onRollOut = enterBtn.onReleaseOutside = function(){
			this.gotoAndStop("normal");
		}		
		
		enterBtn.onRelease = function(){
			refObj.validateAndReturn();
		}
	}
	
	private function validateAndReturn():Void{
		var userInput = accessKey.text;
		var refTxt = "0123456789";
		var invalidEntry:Boolean = false;
		
		if(userInput.toLowerCase() != "type accesskey"  && userInput != ""){
			for(var i=0;i<userInput.length;i++){
				if(refTxt.indexOf(userInput.charAt(i)) < 0){
					invalidEntry = true;
					break;
				}
			}
			if(!invalidEntry){
				onLogin(userInput);
			}else{
				//
			}
		}else{
			var alert = _root.alert;
			alert._visible = true;
			alert.title = "ÃÖÖ¾Ö¬ÖÖ®Ö";
			alert.message = "†Ö¯ÖÛúÖ ‹ŒÃÖêÃÖ Ûúß (‡´¯»ÖÖ‡Ô ®Ö´²Ö¸) ÝÖ»ÖŸÖ Æîü… Ûéú¯ÖµÖÖ ×±ú¸ü ÃÖê ÛúÖê×¿Ö¿Ö Ûú¸ëü…";
		}
		
	}
	
	public function onLogin(accKey:String){
		_global.appPath.fetchUser(accKey, _global.appPath.handleDBResult);
	}
	
	//loads the image from the specified path
	public function loadBG(imPath){
		bgLoader.loadMovie(imPath);
	}
}