﻿class com.trina.components.TemplateBullet extends MovieClip {
	private var pageObj:Object;
	private var headingTxt:TextField;
	private var contentTxt:TextField;
	private var container:MovieClip;
	private var mcArray:Array;
	private var mId:Number;
	private var gap:Number = 8;
	private var strStart:String;
	private var strEnd:String;
	private var zId:Number;
	
	function TemplateBullet() {
		this.onLoad = function () {
			init();
		}
	}
	
	public function getPath():String {
		var pagePath:String = "content/aggregate" + _global.navObject.aggregate + "/variant" + _global.navObject.variant + "/task" + _global.navObject.task + "/media/sco" + _global.navObject.page +"/";
		return pagePath;
	}
	private function init() {
		strStart = "<B>";
		strEnd = "</B>";
		pageObj = _parent._parent.getPageObject();
		headingTxt.htmlText = pageObj.Pagetitle._value == undefined ? "" : (strStart + pageObj.Pagetitle._value + strEnd);
		var transcript = pageObj.transcriptText._value;
		loadClip(getPath() + pageObj.graphic.src);
		mcArray = new Array();
		var len = pageObj.text.point.length;
		if (len == undefined) {
			var obj:Object = new Object();
			obj.label = pageObj.text.point._value;
			obj.number = 1;
			var mc = this.attachMovie("pointMC", "pmc" + 1, 1, {bObj:obj});
			mc._visible = false;
			mcArray.push(mc);
		} else {
			for (var k = 0; k < len; k++) {
				var obj:Object = new Object();
				obj.label = pageObj.text.point[k]._value;
				obj.number = k + 1;
				var mc = this.attachMovie("pointMC", "pmc" + k, k + 1, {bObj:obj});
				mc._visible = false;
				mcArray.push(mc);
			}
		}
		mId = setInterval(this, "setPosition", 400);
	}
	
	public function setPosition() {
		clearInterval(mId);
		delete mId;
		var len = mcArray.length;
		var xPos = 0;
		var yPos = 43;
		for (var k = 0; k < len; k++) {
			if (mcArray[k - 1] == undefined) {
				mcArray[k]._y = yPos;
			} else {
				mcArray[k]._y = mcArray[k - 1]._y + mcArray[k - 1].getHeight() + gap;
			}
			mcArray[k]._x = xPos;
			mcArray[k].init();
			mcArray[k]._visible = true;
		}
		
	}
	
	public function loadClip(fl:String) {
		//container.unloadClip();
		var mcListener:Object = new Object();
		mcListener.onLoadStart = function(target_mc:MovieClip) {
		    // show loader here
		};
		mcListener.onLoadComplete = function(target_mc:MovieClip) {
		    //target_mc.completeTimer = getTimer();
		};
		mcListener.onLoadInit = function(target_mc:MovieClip) {
			// hide loader here
			target_mc.stop();
			target_mc._parent.startMedia();
			//target_mc._parent.endTransition();
		    
		};
		var mcLoader:MovieClipLoader = new MovieClipLoader();
		mcLoader.addListener(mcListener);
		mcLoader.loadClip(fl, container);
		
	}
	
	public function startMedia() {
		_parent._parent.insideContentLoaded();
	}
	
	public function jumpForward (flag:Boolean) {
		_parent._parent.jumpForward(flag);
	}
	
}