﻿import com.trina.components.practice.TextBoxSmall;

class com.trina.components.practice.SingleSelect extends MovieClip {
	private var btnMC:MovieClip;
	private var chkboxMC:MovieClip;
	private var textMC:TextBoxSmall;
	private var index:Number;
	private var isSelected:Boolean;
	
	function SingleSelect() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		isSelected = false;
		createInteractions(true);
		
	}
	
	public function createInteractions(flag:Boolean) {
		if (flag) {
			btnMC.onRollOver = function () {
				if (!_parent.isSelected) {
					this.gotoAndPlay(2);
				}
			}
			btnMC.onRollOut = function () {
				if (!_parent.isSelected) {
					this.onEnterFrame = function () {
						gotoAndStop(_currentframe - 1);
						if (_currentframe == 1) {
							delete this.onEnterFrame;
						}
					}
				}
			}
			
			btnMC.onReleaseOutside = function () {
				if (!_parent.isSelected) {
					delete this.onEnterFrame;
					gotoAndStop(1);
				}
			}
			
			btnMC.onRelease = function () {
				if (!_parent.isSelected) {
					_parent._parent.selectOption(_parent.index);
					delete this.onEnterFrame;
					gotoAndStop(1);
				}
			}
		} else {
			delete btnMC.onRelease;
			delete btnMC.onReleaseOutside;
			delete btnMC.onRollOut;
			delete btnMC.onRollOver;
		}
	}
	
	
	
	public function setOption(str:String, num:Number) {
		index = num;
		textMC.setText(str);
		chkboxMC.gotoAndStop(1);
		var ht:Number = textMC.getHeight() + 40;
		btnMC.bg.resizeBox(ht);
	}
	
	public function selectRadio(flag:Boolean) {
		if (flag) {
			isSelected = true;
			createInteractions(false);
			chkboxMC.gotoAndStop(2);
		} else {
			isSelected = false;
			createInteractions(true);
			chkboxMC.gotoAndStop(1);
		}
	}
	
}