﻿class com.trina.server.MyClient extends MovieClip {
	private var statusTxt1:TextField;
	private var statusTxt2:TextField;
	private var serverIP:String;
	private var myip:String;
	private var sendPort:String;
	private var listenPort:String;
	private var mdm:Object;
	private var keyTxt:TextField;
	private var btn1:TextField;
	
	
	function MyClient() {
		this.onLoad = function () {
			initClient();
		}
	}
	
	
	
	
	public function initClient() {
		mdm = _root.mdm;
		_root.pathC = this;
		myip = mdm.Network.IPAddress;
		sendPort = "4001";
		listenPort = "4000";
		mdm.Network.UDP.Socket.startServer(listenPort);
		
		mdm.Network.UDP.Socket.onData = function(myObject){
	       _root.pathC.onReceiveData(myObject.data);
		}
		
		btn1.onRelease = function () {
			_parent.sendUserLoginData();
		}
		
		var str = "param@eq@" + myip + "~getServerIP";
		mdm.Network.UDP.Socket.broadcast(sendPort, str);
		statusTxt2.text += "getServerIP message sent" + newline;
	}
	
	public function getDataObject(str:String) {
		var str2= str.substring(9, str.length);
		var dataString = str2.split("~");
		var obj:Object = new Object();
		obj.msgType = dataString[0];
		obj.messageStr = dataString[1];		
		statusTxt1.text += " GetDataObj=====================" + newline;
		statusTxt1.text += obj.msgType + " :: " + obj.messageStr + newline;
		statusTxt1.text += " =====================" + newline;
		return obj;
	}
	
	public function onReceiveData(str1:String) {
		var dataObj:Object = getDataObject(str1);
		switch (dataObj.msgType) {
			case "sendServerIP" :
				serverIP = dataObj.messageStr;
				break;
			case "validateAccessKey" :
				handleValidateAccessKey(dataObj.messageStr);
			default :
				break;
		}
		statusTxt1.text += "data received = " + str1 + newline;
	}
	
	public function handleValidateAccessKey(str:String) {
		statusTxt1.text += "access data received = " + str + newline;
		
	}
	
	public function sendData(msg:String) {
		statusTxt2.text += "data sent = " + msg + newline;
		mdm.Network.UDP.Socket.send(serverIP, sendPort, msg);
	}
	
	
	public function sendUserLoginData() {
		var str = "param@eq@" + myip + "~validateAccessKey~" + keyTxt.text;
		sendData(str);
	}
	
	
}