﻿// added comment

//import flash.filters.BlurFilter;


class com.trina.utils.AniMovieClip extends MovieClip{
	private var animObj:Object;
	private var x:Number;
	private var y:Number;
	
	function AniMovieClip() {
		
	}
	
	public function animate(obj:Object) {
		animObj = obj;
		var time = obj.duration;
		var mc = this;
		if (obj.easeType == undefined) {
			obj.easeType = mx.transitions.easing.Regular.easeOut;
		}
		var tween1 = new mx.transitions.Tween(mc, "_y", obj.easeType, obj.yBegin, obj.yEnd, time, true);
		var tween2 = new mx.transitions.Tween(mc, "_x", obj.easeType, obj.xBegin, obj.xEnd, time, true);
		
		tween1.onMotionFinished = function(event) {
			event.obj.handleAnimationCallBack();
		}
		delete time;
	}
	
	public function makeAppear() {
		var time = 1;
		var mc = this;
		
		var tween1 = new mx.transitions.Tween(mc, "_alpha", mx.transitions.easing.Regular.easeOut, 0, 100, time, true);
		
		tween1.onMotionFinished = function(event) {
			event.obj.doNextStep();
		}
		
		delete time;
		delete mc;
		delete tween1;
	}
	

	/*
	public function doBlurTransition(obj) {
		x = obj.blurBegin;
		y = obj.blurBegin;
		
		this.onEnterFrame = function () {
			if (x == obj.blurEnd) {
				delete this.onEnterFrame;
			}
			var b = new BlurFilter(x, y, 1);
			this.filters = [b];
			x += obj.diff;
			y += obj.diff;
		}
	}
	*/
	public function animateRandom(obj:Object) {
		var time = obj.duration;
		var mc = this;
		if (obj.easeType == undefined) {
			obj.easeType = mx.transitions.easing.Regular.easeOut;
		}
		var tween1 = new mx.transitions.Tween(mc, "_y", obj.easeType, obj.yBegin, obj.yEnd, time, true);
		var tween2 = new mx.transitions.Tween(mc, "_x", obj.easeType, obj.xBegin, obj.xEnd, time, true);
		var tween3 = new mx.transitions.Tween(mc, "_rotation", obj.easeType, obj.rBegin, obj.rEnd, time, true);
		
		delete time;
		delete tween1;
		delete tween2;
		delete tween3;
	}
	
	public function rotate(angle:Number, duration:Number) {
		var time = duration == undefined ? .2 : duration;
		var mc = this;
		
		var tween1 = new mx.transitions.Tween(mc, "_rotation", mx.transitions.easing.Regular.easeOut, mc._rotation, angle, time, true);
		
		delete time;
		delete mc;
	}
	
	public function animateToX(obj) {
		//this.filters = new Array();
		animObj = obj;
		var time = obj.duration;
		var mc = this;
		
		if (obj.easeType == undefined) {
			obj.easeType = mx.transitions.easing.Regular.easeOut;
		}
		var tween1 = new mx.transitions.Tween(mc, "_x", obj.easeType, obj.xBegin, obj.xEnd, time, true);
		
		if (obj.isAlpha) {
			var tween2 = new mx.transitions.Tween(mc, "_alpha", mx.transitions.easing.Regular.easeOut, 0, 100, time, true);
		}
		
		tween1.onMotionFinished = function(event) {
			event.obj.handleAnimationCallBack();
		}
		delete time;
		delete mc;
		delete obj;
	}
	
	public function animateToY(obj) {
		var time = obj.duration;
		var mc = this;
		
		if (obj.easeType == undefined) {
			obj.easeType = mx.transitions.easing.Regular.easeOut;
		}
		
		var yBegin = obj.yBegin == undefined ? mc._y : obj.yBegin;
		
		var tween1 = new mx.transitions.Tween(mc, "_y", obj.easeType, yBegin, obj.yEnd, time, true);
		
		if (obj.isCallBack) {
			tween1.onMotionFinished = function(event) {
				event.obj.handleAnimationCallBack();
			}
		}
		delete time;
		delete mc;
		delete obj;
		delete yBegin;
	}

	public function doAlphaTransition(obj:Object) {
		//this.filters = new Array();
		var time = obj.duration;
		var mc = this;
		
		var tween1 = new mx.transitions.Tween(mc, "_alpha", mx.transitions.easing.Regular.easeOut, obj.alphaBegin, obj.alphaEnd, time, true);
		
		if (obj.isCallBack) {
			tween1.onMotionFinished = function(event) {
				event.obj.handleAnimationCallBack();
			}
		}
		delete time;
		delete mc;
		delete tween1;
	}
	
	
	
	public function doAlphaAnimation(obj:Object) {
		var time = obj.duration;
		var mc = this;
		
		var tween1 = new mx.transitions.Tween(mc, "_y", obj.easeType, obj.yBegin, obj.yEnd, time, true);
		var tween2 = new mx.transitions.Tween(mc, "_x", obj.easeType, obj.xBegin, obj.xEnd, time, true);
		var tween3 = new mx.transitions.Tween(mc, "_alpha", mx.transitions.easing.Regular.easeOut, obj.alphaBegin, obj.alphaEnd, time, true);
		
		if (obj.isCallBack) {
			tween3.onMotionFinished = function(event) {
				event.obj.handleAnimationCallBack();
			}
		}
		delete time;
		delete mc;
		delete tween1;
		delete tween2;
		delete tween3;
	}
	/*
	public function handleAnimationCallBack() {
		_parent.handleAnimationCallBack();
	}
	*/
	
}